ISOIECObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.iso

## Interface ISOIECObjectIdentifiers

-     public interface ISOIECObjectIdentifiers

  OIDS from ISO/IEC 10118-3:2004

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `efrodokem1344_aes`
    `static ASN1ObjectIdentifier` | `efrodokem1344_shake`
    `static ASN1ObjectIdentifier` | `efrodokem976_aes`
    `static ASN1ObjectIdentifier` | `efrodokem976_shake`
    `static ASN1ObjectIdentifier` | `frodokem1344_aes`
    `static ASN1ObjectIdentifier` | `frodokem1344_shake`
    `static ASN1ObjectIdentifier` | `frodokem976_aes`
    `static ASN1ObjectIdentifier` | `frodokem976_shake`
    `static ASN1ObjectIdentifier` | `hash_algorithms`
    `static ASN1ObjectIdentifier` | `id_ac_generic_hybrid`
    `static ASN1ObjectIdentifier` | `id_kem` id-kem OID ::= { is18033-2 key-encapsulation-mechanism(2) } The other KEMs registered under the id-kem arc by ISO/IEC 18033-2 Annex A
    `static ASN1ObjectIdentifier` | `id_kem_ace`
    `static ASN1ObjectIdentifier` | `id_kem_cm` -- Classic McEliece (ISO/IEC 18033-2:2006/Amd 2:2026, Clause 13) id-kem-cm OID ::= { id-kem cm(6) }
    `static ASN1ObjectIdentifier` | `id_kem_ecies`
    `static ASN1ObjectIdentifier` | `id_kem_face`
    `static ASN1ObjectIdentifier` | `id_kem_frodokem` -- FrodoKEM (ISO/IEC 18033-2:2006/Amd 2:2026, Clause 14) id-kem-frodokem OID ::= { id-kem frodokem(7) }
    `static ASN1ObjectIdentifier` | `id_kem_psec`
    `static ASN1ObjectIdentifier` | `id_kem_rsa`
    `static ASN1ObjectIdentifier` | `is18033_2` -- ISO/IEC 18033-2 arc is18033-2 OID ::= { iso(1) standard(0) is18033(18033) part2(2) }
    `static ASN1ObjectIdentifier` | `iso_encryption_algorithms`
    `static ASN1ObjectIdentifier` | `mceliece460896`
    `static ASN1ObjectIdentifier` | `mceliece460896f`
    `static ASN1ObjectIdentifier` | `mceliece460896pc`
    `static ASN1ObjectIdentifier` | `mceliece460896pcf`
    `static ASN1ObjectIdentifier` | `mceliece6688128`
    `static ASN1ObjectIdentifier` | `mceliece6688128f`
    `static ASN1ObjectIdentifier` | `mceliece6688128pc`
    `static ASN1ObjectIdentifier` | `mceliece6688128pcf`
    `static ASN1ObjectIdentifier` | `mceliece6960119`
    `static ASN1ObjectIdentifier` | `mceliece6960119f`
    `static ASN1ObjectIdentifier` | `mceliece6960119pc`
    `static ASN1ObjectIdentifier` | `mceliece6960119pcf`
    `static ASN1ObjectIdentifier` | `mceliece8192128`
    `static ASN1ObjectIdentifier` | `mceliece8192128f`
    `static ASN1ObjectIdentifier` | `mceliece8192128pc`
    `static ASN1ObjectIdentifier` | `mceliece8192128pcf`
    `static ASN1ObjectIdentifier` | `ripemd128`
    `static ASN1ObjectIdentifier` | `ripemd160`
    `static ASN1ObjectIdentifier` | `whirlpool`

- - ### Field Detail

    - #### iso_encryption_algorithms

          static final ASN1ObjectIdentifier iso_encryption_algorithms

    - #### hash_algorithms

          static final ASN1ObjectIdentifier hash_algorithms

    - #### ripemd160

          static final ASN1ObjectIdentifier ripemd160

    - #### ripemd128

          static final ASN1ObjectIdentifier ripemd128

    - #### whirlpool

          static final ASN1ObjectIdentifier whirlpool

    - #### is18033_2

          static final ASN1ObjectIdentifier is18033_2

      -- ISO/IEC 18033-2 arc is18033-2 OID ::= { iso(1) standard(0) is18033(18033) part2(2) }

    - #### id_ac_generic_hybrid

          static final ASN1ObjectIdentifier id_ac_generic_hybrid

    - #### id_kem

          static final ASN1ObjectIdentifier id_kem

      id-kem OID ::= { is18033-2 key-encapsulation-mechanism(2) } The other KEMs registered under the id-kem arc by ISO/IEC 18033-2 Annex A

    - #### id_kem_ecies

          static final ASN1ObjectIdentifier id_kem_ecies

    - #### id_kem_psec

          static final ASN1ObjectIdentifier id_kem_psec

    - #### id_kem_ace

          static final ASN1ObjectIdentifier id_kem_ace

    - #### id_kem_rsa

          static final ASN1ObjectIdentifier id_kem_rsa

    - #### id_kem_face

          static final ASN1ObjectIdentifier id_kem_face

    - #### id_kem_cm

          static final ASN1ObjectIdentifier id_kem_cm

      -- Classic McEliece (ISO/IEC 18033-2:2006/Amd 2:2026, Clause 13) id-kem-cm OID ::= { id-kem cm(6) }

    - #### mceliece460896

          static final ASN1ObjectIdentifier mceliece460896

    - #### mceliece460896f

          static final ASN1ObjectIdentifier mceliece460896f

    - #### mceliece460896pc

          static final ASN1ObjectIdentifier mceliece460896pc

    - #### mceliece460896pcf

          static final ASN1ObjectIdentifier mceliece460896pcf

    - #### mceliece6688128

          static final ASN1ObjectIdentifier mceliece6688128

    - #### mceliece6688128f

          static final ASN1ObjectIdentifier mceliece6688128f

    - #### mceliece6688128pc

          static final ASN1ObjectIdentifier mceliece6688128pc

    - #### mceliece6688128pcf

          static final ASN1ObjectIdentifier mceliece6688128pcf

    - #### mceliece6960119

          static final ASN1ObjectIdentifier mceliece6960119

    - #### mceliece6960119f

          static final ASN1ObjectIdentifier mceliece6960119f

    - #### mceliece6960119pc

          static final ASN1ObjectIdentifier mceliece6960119pc

    - #### mceliece6960119pcf

          static final ASN1ObjectIdentifier mceliece6960119pcf

    - #### mceliece8192128

          static final ASN1ObjectIdentifier mceliece8192128

    - #### mceliece8192128f

          static final ASN1ObjectIdentifier mceliece8192128f

    - #### mceliece8192128pc

          static final ASN1ObjectIdentifier mceliece8192128pc

    - #### mceliece8192128pcf

          static final ASN1ObjectIdentifier mceliece8192128pcf

    - #### id_kem_frodokem

          static final ASN1ObjectIdentifier id_kem_frodokem

      -- FrodoKEM (ISO/IEC 18033-2:2006/Amd 2:2026, Clause 14) id-kem-frodokem OID ::= { id-kem frodokem(7) }

    - #### frodokem976_shake

          static final ASN1ObjectIdentifier frodokem976_shake

    - #### frodokem1344_shake

          static final ASN1ObjectIdentifier frodokem1344_shake

    - #### efrodokem976_shake

          static final ASN1ObjectIdentifier efrodokem976_shake

    - #### efrodokem1344_shake

          static final ASN1ObjectIdentifier efrodokem1344_shake

    - #### frodokem976_aes

          static final ASN1ObjectIdentifier frodokem976_aes

    - #### frodokem1344_aes

          static final ASN1ObjectIdentifier frodokem1344_aes

    - #### efrodokem976_aes

          static final ASN1ObjectIdentifier efrodokem976_aes

    - #### efrodokem1344_aes

          static final ASN1ObjectIdentifier efrodokem1344_aes